(*^

::[paletteColors = 128; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;]
:[font = title; inactive; Cclosed; preserveAspect; startGroup; ]
Lab 5:  Parametric Curves
:[font = text; inactive; preserveAspect; ]
The most natural way to define a curve is with parametric equations.  This was how Descartes imagined curves when he invented analytic geometry.
:[font = text; inactive; preserveAspect; ]
This lab uses the parametric form of curves to analyze their graphs, their lengths, and the areas of surfaces generated by revolving them about the x-axis.  These topics are covered in Sections 9.3-9.5 of the textbook by Stein.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Parametric Equations
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Examples
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is Example 1 on page 454:
:[font = input; Cclosed; preserveAspect; startGroup; ]
x[t_] := Cos[2t];
y[t_] := Sin[t];
:[font = text; inactive; preserveAspect; ]
The table of values shown on that page is easy to generate:
:[font = input; preserveAspect; ]
Table[ {x[t],y[t]}, {t,0,2Pi,Pi/4} ]
:[font = text; inactive; preserveAspect; ]
The graph of the curve is obtained by means of the ParametricPlot command:
;[s]
3:0,0;50,1;66,2;75,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,2Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; preserveAspect; endGroup; ]
This is part of a parabola, because x = 1-2y^2.
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is the cycloid, shown in Example 2 on page 455:
:[font = input; Cclosed; preserveAspect; startGroup; ]
x[t_] := t - Sin[t];
y[t_] := 1 - Cos[t];
:[font = input; preserveAspect; endGroup; endGroup; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,4Pi},
    AspectRatio->Automatic ];
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
1.  Exercise 3 on page 459.
:[font = input; preserveAspect; ]
x[t_] := t^2;
y[t_] := t^2+t;
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,-3,3},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
2.  Exercise 4 on page 459.
:[font = input; preserveAspect; ]
x[t_] := 2*Cos[t];
y[t_] := 3*Sin[t];
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,2Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
3.  Exercise 13 on page 459, with -2  t  2 .
;[s]
5:0,0;37,1;39,2;41,3;43,4;46,-1;
5:1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
x[t_] := t^5 + Sin[2Pi*t];
y[t_] := t + E^t;
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,-2,2},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; noPageBreak; preserveAspect; startGroup; ]
4.  Exercise 14 on page 459, with -2  t  1 .
;[s]
5:0,0;37,1;39,2;41,3;43,4;50,-1;
5:1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
x[t_] := t^7 + t^2 + 1;
y[t_] := 2t^6 + 3t + 1;
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,-2,1},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
5.  Plot the Bowditch curve:
:[font = input; preserveAspect; ]
x[t_] := Sin[t];
y[t_] := Cos[3t];
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,2Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
6.  Plot the Bowditch curve:
:[font = input; preserveAspect; ]
x[t_] := Sin[4t];
y[t_] := Cos[3t];
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,2Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
7.  Plot the Astroid of Bernoulli (1691):
:[font = input; preserveAspect; ]
x[t_] := Sin[t]^3;
y[t_] := Cos[t]^3;
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,2Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
8.  Plot the Deltoid of Euler (1745):
:[font = input; preserveAspect; ]
x[t_] := 2Sin[t]-Sin[2t];
y[t_] := 2Cos[t]+Cos[2t];
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,2Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
9.  Plot the Cardiod of Bernoulli (1692):
:[font = input; preserveAspect; ]
x[t_] := 2Sin[t]-Sin[2t];
y[t_] := 2Cos[t]-Cos[2t];
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,2Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
10.  Plot the Bicorn of Sylvester (1864):
:[font = input; preserveAspect; ]
x[t_] := Sin[t];
y[t_] := (2+Cos[t])Cos[t]^2/(3+Sin[t]^2);
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,2Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
11.  Plot the Epitrochoid of Durer (1525):
:[font = input; preserveAspect; ]
x[t_] := 8Sin[t]-7Sin[4t];
y[t_] := 8Cos[t]-7Cos[4t];
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,2Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
12.  Plot the Hypotrochoid of Bernoulli (1692):
:[font = input; noPageBreak; preserveAspect; ]
x[t_] := 6Sin[t]-5Sin[3t];
y[t_] := 6Cos[t]+5Cos[3t];
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,2Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
13.  Plot the Trefoil Knot:
:[font = input; noPageBreak; preserveAspect; ]
x[t_] := Sin[t]-2Sin[2t];
y[t_] := Cos[t]+2Cos[2t];
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,2Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
14.  Plot the Spiral of Archimedes:
:[font = input; preserveAspect; ]
x[t_] := t*Cos[t];
y[t_] := t*Sin[t];
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,8Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
15.  Plot the Spiral of Bernoulli:
:[font = input; preserveAspect; ]
x[t_] := Exp[t/8]Cos[t];
y[t_] := Exp[t/8]Sin[t];
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,-8Pi,8Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
16.  Plot the Spiral of Cornu:
:[font = input; preserveAspect; ]
x[t_] := FresnelC[t];
y[t_] := FresnelS[t];
:[font = input; preserveAspect; endGroup; endGroup; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,-Pi,Pi},
    AspectRatio->Automatic ];
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Arc Length and Speed
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is the cycloid again, reconsidered in Example 3 on page 463:
:[font = input; preserveAspect; ]
x[t_] := t - Sin[t];
y[t_] := 1 - Cos[t];
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,2Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The arc length of any parametric plane curve is the integral of the differential:
          ds = Sqrt[x'[t]^2+y'[t]^2]dt
Since this integral is the same as the distance a particle travels along the curve, its derivative is the speed of the particle: ds/dt.  We'll represent this derivative by v (for velocity):
;[s]
3:0,0;82,1;121,2;310,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
v[t_] := Sqrt[x'[t]^2+y'[t]^2]
:[font = input; preserveAspect; endGroup; ]
v[t]  //  Simplify
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Obviously, this square root of a square needs to be simplified further.  We'll use the same rule we used in Lab 4:
:[font = input; preserveAspect; ]
sqrtsq = Sqrt[u_^2] -> u
:[font = text; inactive; preserveAspect; endGroup; ]
We must take care to apply this rule only to non-negative expressions for u.  In this case, u=Sin[t/2], which is non-negative if t is in the interval 0 to 2Pi.
;[s]
11:0,0;73,1;75,2;92,3;102,4;128,5;131,6;149,7;152,8;154,9;158,10;159,-1;
11:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Use this new rule to simplify the expression for v so it can be integrated:
;[s]
3:0,0;48,1;51,2;76,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
v[t_] = %% /.  sqrtsq
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Now we can verify the answer in the book (with a=1):
:[font = input; preserveAspect; endGroup; ]
L = Integrate[ v[t], {t,0,2Pi} ]
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
We use s to represent the distance traveled along the curve.  It is the antiderivative of the speed v:
;[s]
5:0,0;6,1;9,2;99,3;101,4;103,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
s[u_] = Integrate[ v[t], {t,0,u} ]
:[font = text; inactive; preserveAspect; endGroup; ]
Notice that we use the definite integral with a variable upper bound to obtain the antiderivative (instead of using the indefinite integral).  This guarantees that the value of s at the lower bound will be 0.
;[s]
5:0,0;177,1;179,2;205,3;207,4;209,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Since we used t as the variable of integration, we had to use a different symbol for the variable upper bound.  The choice of u was arbitraryit is simple a dummy variable used to define the function.  Now that s is defined, we may use t (or any other variable) for its input variable:
;[s]
9:0,0;13,1;16,2;125,3;128,4;210,5;213,6;235,7;238,8;286,-1;
9:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
s[t]
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is a table of values, showing the point (x,y), its distance s from the initial point, and the speed v of the particle at that point:
;[s]
7:0,0;44,1;50,2;64,3;67,4;104,5;107,6;138,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Table[ {t,x[t],y[t],s[t],v[t]}, {t,0,2Pi,Pi/8} ]  //
    N  //  TableForm
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
It is obvious from this table that the particle reaches a maximum speed of 2 at the point (Pi,2).
;[s]
3:0,0;90,1;96,2;98,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
1.  Exercise 9 on page 467.
:[font = input; preserveAspect; endGroup; ]
x[t_] := Cos[t]^3;
y[t_] := Sin[t]^3;
:[font = text; inactive; preserveAspect; ]
2.  Find the speed function v[t] and the distance function s[t] for the Astroid
      curve, and determine where the speed is greatest and least.
;[s]
5:0,0;27,1;33,2;58,3;64,4;331,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
x[t_] := Cos[t]^3;
y[t_] := Sin[t]^3;
:[font = text; inactive; preserveAspect; ]
3.  Find the speed function v[t] and the distance function s[t] for the Trefoil Knot, 
     and determine where the speed is greatest and least.  Use the NIntegrate
     command instead of the Integrate command.
;[s]
8:0,0;27,1;33,2;58,3;64,4;153,5;164,6;192,7;280,-1;
8:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; endGroup; ]
x[t_] := Sin[t]-2Sin[2t];
y[t_] := Cos[t]+2Cos[2t];
:[font = section; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Surfaces of Revolution
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
First execute the following command:
:[font = input; preserveAspect; ]
Surface[{funx_,funy_},u1:{u_,umin_,umax_}] :=
	ParametricPlot3D[{funy Cos[th], funx, funy Sin[th]},
		u1,{th,0,2Pi}, ViewPoint -> {8,umax+1,umax+1} ]
:[font = text; inactive; preserveAspect; endGroup; ]
This defines the command Surface which will graph surfaces of revolution about the x-axis.  It works for parametric curves the same way that the Surface command defined in Lab 4 worked for functions y=f[x];  it plots the surface obtained by revolving its graph about the x-axis.
;[s]
11:0,0;24,1;25,2;32,3;33,4;144,5;145,6;152,7;153,8;198,9;205,10;279,-1;
11:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is the Astroid of Bernoulli again:
:[font = input; preserveAspect; ]
x[t_] := Sin[t]^3;
y[t_] := Cos[t]^3;
:[font = input; preserveAspect; endGroup; ]
ParametricPlot[ {x[t],y[t]}, {t,0,4Pi},
    AspectRatio->Automatic ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is the surface of revolution it generates:
:[font = input; preserveAspect; endGroup; ]
Surface[ {x[t],y[t]}, {t,-Pi/2,Pi/2} ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Exercise 15 on page 473 asks for the area of the part of this surface that is generated by the portion of the curve in the first quadrant.  That will be right half of the whole surface shown above.
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
First, set up v = ds/dt, just as we did before:
;[s]
3:0,0;13,1;23,2;48,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
v[t_] := Sqrt[x'[t]^2+y'[t]^2]
:[font = input; preserveAspect; endGroup; ]
v[t] = Simplify[%]  /.  sqrtsq
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Now the surface area is is the integral of 2Pi*y*v:
;[s]
3:0,0;42,1;50,2;52,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
area = Integrate[ 2Pi*y[t]*v[t], {t,0,Pi/2} ]
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
This should be the same answer that you got on Homework Assignment #18.
:[font = subsection; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
1.  Exercise 7 on page 472.
:[font = input; preserveAspect; endGroup; ]
x[t_] := t - Sin[t];
y[t_] := 1 - Cos[t];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
2.  Exercise 8 on page 472.
:[font = input; noPageBreak; preserveAspect; endGroup; ]
x[t_] := Exp[t]*Cos[t];
y[t_] := Exp[t]*Sin[t];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
3.  Derive the formula for the (lateral) surface area of a cone.
:[font = input; noPageBreak; preserveAspect; ]
x[t_] := h*t;
y[t_] := r*t;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
    To plot a specific surface, temporarily assign these sample values to h and r: 
;[s]
5:0,0;73,1;76,2;79,3;81,4;84,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
h=5;
r=2;
:[font = input; preserveAspect; ]
Surface[ {x[t],y[t]}, {t,0,1} ];
:[font = text; inactive; preserveAspect; ]
    Then "deassign" them:
:[font = input; preserveAspect; endGroup; endGroup; ]
Clear[h,r]
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
4.  Use the following parametric equations to derive the formula for the surface area
     of a torus (i.e. an inner tube):
:[font = input; preserveAspect; ]
x[t_] := a*Cos[t];
y[t_] := b + a*Sin[t];
:[font = input; Cclosed; preserveAspect; startGroup; ]
a=1;
b=3;
:[font = input; preserveAspect; ]
Surface[ {x[t],y[t]}, {t,0,2Pi} ];
:[font = input; preserveAspect; endGroup; endGroup; endGroup; endGroup; endGroup; ]
Clear[a,b]
^*)